@echo off
::
:: perlprep.bat
::
:: Author: Bill Odom
::
:: Copy the Perl C Runtime DLL to the system or system32 directory.
::
:: Eventually, I'd like to expand this to a local installation
:: maintenance routine, so that laptops (and PCs on a slow link)
:: can have a local Perl installation that automatically updates
:: and repairs itself.
::

echo:
echo Copying Perl library to local system...

if "%OS%" == "Windows_NT" goto perl_nt

:perl_9x
   xcopy %0\..\perl\bin\perlcrt.dll %windir%\system /D /Q /H /-Y >NUL
   goto perl_done

:perl_nt
   xcopy %0\..\perl\bin\perlcrt.dll %windir%\system32 /D /Q /H >NUL
   goto perl_done

:perl_done

:: end perlprep.bat
