#! perl -w
#
# Author: Bill Odom
#
# logon.pl
#
# Sample perl-based Windows logon script.
#

use strict;

## Modules

# Add the lib directory in the home directory of this
# script to the lib path.  This allows local modules to
# easily be installed without cluttering up the standard
# Perl lib and site/lib directories.
#
use FindBin;
use File::Spec;
use lib File::Spec->catdir($FindBin::Bin, 'lib');

# Load an example module.  This one just happens to be in
# the local library directory, but of course any module you
# have installed can be loaded here.
#
use Win32::Logon;

## Main

print <<END_TEXT;

Network Information:

  User:         $Win32::Logon::userid
  Workstation:  $Win32::Logon::workstation
  Workgroup:    $Win32::Logon::workgroup

END_TEXT

print "Press Return to continue..."; <>;

#
# Anything else you'd like to do can go here, of course.
# I recommend Jenda's Win32::FileOp module as a good source
# of logon-related functions.
#

# end logon.pl
